call.ringing
POST
A call is ringing the callee.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”webhook-id
required
string
Unique id of this delivery. Deduplicate on it.
webhook-timestamp
required
string
Unix time in seconds when the delivery was signed.
webhook-signature
required
string
Standard Webhooks signature, v1,<base64 HMAC-SHA256> of id.timestamp.body.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CallRingingWebhook
A call is ringing the callee.
object
data
required
CallRingingData
The event payload, with external ids.
object
call_id
required
Call Id
Id of the call.
string format: uuid
callee
required
Callee
External id of the callee.
string
caller
required
Caller
External id of the caller.
string
conversation_id
required
Conversation Id
Conversation the call belongs to.
string format: uuid
recipient_online
required
Recipient Online
Whether the callee is online.
boolean
video
Video
Whether the call has video.
boolean
timestamp
required
Timestamp
When the event was emitted.
string format: date-time
type
required
Type
Always call.ringing.
string
Responses
Section titled “Responses”Any 2xx acknowledges it